API Reference
GET
/api/platform/v1/accounts

Returns all connected bank accounts for the authenticated platform user

Authorization

BearerAuth
AuthorizationBearer <token>

Data and portal endpoints: use the access_token returned by POST /users or POST /oauth/token.

In: header

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/api/platform/v1/accounts"
{
  "accounts": [
    {
      "id": 0,
      "name": "string",
      "institution_name": "string",
      "institution_logo": "string",
      "provider": "gocardless",
      "currency": "string",
      "status": "ACTIVE"
    }
  ],
  "total": 0
}
{
  "error": "string",
  "message": "string"
}
{
  "error": "string",
  "message": "string"
}
{
  "error": "string",
  "message": "string"
}